# Everything

* Author: Nael Sayegh
* URL: [infos@nael-accessvision.com](mailto:infos@nael-accessvision.com)
* Download the [stable version][1];
* NVDA Compatibility: 2021.3 and above;
* [Source code on GitHub][2];

# Presentation

This extension allows you to modify the order of the information in a file announced by NVDA in the list of search results, as well as to activate or deactivate the announcement of column names in the Everything software.

## How it works

Once this extension is installed, by default, the announcement of the columns is as follows: name, date, size, path.
To change the order of the columns, go to the NVDA preferences menu and scroll down to the Everything section.
In this section, you will find a checkbox that allows you to enable or disable the announcement of column names.
Then, you will find 3 lists where you can choose each time the element you want to appear in order.
After these lists, you will also find a button that allows you to return to the default settings.
Once finished, click on OK.

### Keyboard Shortcuts

When the Everything software is open, the keyboard shortcut Ctrl+Shift+O allows you to directly open the extension's settings panel. Make your changes and click on OK to confirm. The changes take effect immediately.

## Changes

### Version 2024.03.26

  * Translation update of the French text
  * Improvement of the update system
  * Error correction when proposing an update.

### Version 2024.03.21

  * Error correction when proposing an update.

### Version 2024.03.20

  * Adding compatibility with NVDA 2024.1
  
### Version 2023.12.22

  * Adding the compatibility with NVDA 2024.1

### Version 2023.11.14

  * Restoration of the update system.

### Version 2023.11.11

  * Removal of the update system, updates will no longer be offered by the extension. Instead, use the addonUpdater extension on the NVAccess add-on store channel or visit the addonstore update tab.

### Version 2023.10.09

  * Correction of a display issue when the size column was not displayed in the list of results.

### Version 2023.08.09
  * Adding a settings panel to modify the order of column appearance and the announcement of column names.
  * Removal of the keyboard shortcut for reloading the configuration, which is no longer necessary, and modification of the keyboard shortcut for opening the settings file to open the settings panel.
  * Updating the documentation to adapt it to the changes in the new version.

### Version 2023.07.24
  * First version

Copyright ©: 2024 (Nael Sayegh and Nael-Accessvision)

<!-- links section -->

[1]: https://github.com/Nael-Sayegh/Everything/releases/download/2024.03.26/everything-2024.03.26.nvda-addon

[2]: https://github.com/Nael-Sayegh/Everything
